import random
import time
import matplotlib.pyplot as plt
from statistics import mean

points = 50
repetition = 1000
degree = 3 # croissance du nombre de chiffre en n^degree
resultats = []

for i in range(points):
	print(f"{100*i/points:0.1f}%",end="\r")
	rand = lambda : random.randint(10**(i**degree), 10**(i**degree+1))
	temps_calculs = []
	for _ in range(0, repetition):
		a, b = rand(), rand()
		init_time = time.time_ns()
		c = a*b
		stop_time = time.time_ns()
		temps_calculs.append((stop_time - init_time)/10**6)
	resultats.append(temps_calculs)
plt.plot(
	[(i**degree) for i in range(points)],
	[mean(x) for x in  resultats],
	marker="."
	)
plt.xlabel("nombre de chiffre")
plt.ylabel("temps (en seconde)")
plt.title('temps pour la multiplication de deux (gros) nombres')
plt.savefig("page/data/bigint.png")
